import { defineComponent } from 'vue';
import styles from '../index.module.less';
import { NImage } from 'naive-ui';

export default defineComponent({
  props: ['item'],
  name: 'layoutSilder',
  setup(props, { emit }) {
    return () => (
      <>
        <div
          class={[
            styles.silderItem,
            props.item.isActive ? styles.isActiveItem : ''
          ]}>
          <NImage
            width="62"
            height="60"
            src={
              props.item.isActive
                ? props.item.activeIcon
                : props.item.normalIcon
            }
            preview-disabled></NImage>
          <p>{props.item.name}</p>
        </div>
      </>
    );
  }
});
